import React, { useEffect, useState } from 'react'
import Picker from '@/components/Picker'
import { fetch } from '@/utils/request'
import { API_GET_AGENT_BUILDINGS } from '@/constants/api'

export default (props) => {
  const [dicts, setDicts] = useState([])

  useEffect(() => {
    fetch({ url: API_GET_AGENT_BUILDINGS }).then((res) => {
      setDicts(res || [])
    })
  }, [])

  return (
    <Picker kv={['buildingName', 'buildingId']} dicts={dicts} {...props} />
  )
}
